org.apache.commons.math3.analysis.polynomials

## Class PolynomialFunction.Parametric

- java.lang.Object
- - org.apache.commons.math3.analysis.polynomials.PolynomialFunction.Parametric

- All Implemented Interfaces:
    ParametricUnivariateFunction
  Enclosing class:
    PolynomialFunction

      public static class PolynomialFunction.Parametric
      extends Object
      implements ParametricUnivariateFunction

  Dedicated parametric polynomial class.
  Since:
    3.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PolynomialFunction.Parametric()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double[]` | `gradient(double x, double... parameters)` Compute the gradient of the function with respect to its parameters.
    `double` | `value(double x, double... parameters)` Compute the value of the function.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PolynomialFunction.Parametric

          public PolynomialFunction.Parametric()

  - ### Method Detail

    - #### gradient

          public double[] gradient(double x,
                          double... parameters)

      Compute the gradient of the function with respect to its parameters.
      Specified by:
        `gradient` in interface `ParametricUnivariateFunction`
      Parameters:
        `x` - Point for which the function value should be computed.
        `parameters` - Function parameters.
      Returns:
        the value.

    - #### value

          public double value(double x,
                     double... parameters)

      Compute the value of the function.
      Specified by:
        `value` in interface `ParametricUnivariateFunction`
      Parameters:
        `x` - Point for which the function value should be computed.
        `parameters` - Function parameters.
      Returns:
        the value.

Copyright © 2003-2012 The Apache Software Foundation. All Rights Reserved.